/*
Make sure the following are on your classpath:

* Xerces or JAXP (included with Java 1.5)
* mail.jar ( http://java.sun.com/products/javamail )
* activation.jar ( http://java.sun.com/products/javabeans/glasgow/jaf.html )
* Apache SOAP ( http://ws.apache.org/soap )
* WSDL4J ( http://sourceforge.net/projects/wsdl4j )
* jurst ( http://www.nsftools.com/tools/jurst.htm )

For a WSDL dump, run:
java StockQuote

To look up a stock quote, run:
java StockQuote IBM

For more information about this web service, see:
http://www.xmethods.org
*/
import com.nsftools.jurst.SoapHelper;

public class StockQuote {

	public static void main(String[] args) {
		try {
			String wsdlURI = "http://services.xmethods.net/soap/urn:xmethods-delayed-quotes.wsdl";
			SoapHelper sh = new SoapHelper(wsdlURI);
			
			if (args.length == 0) {
				System.out.println("WSDL URI = " + wsdlURI + "\n");
				System.out.println("METHOD LIST");
				System.out.println(sh.dumpMethodList());
			} else {
				String symbol = args[0];
				Object obj = sh.callSimpleMethod("getQuote", symbol);
				if (sh.isFault())
					System.out.println("A fault was returned looking up " + symbol + ": " + obj);
				else
					System.out.println("20 minute delayed quote for " + symbol + " is " + obj);
			}
		} catch (Exception e) {
			e.printStackTrace();
		}
		
	}

}
