// Used by WeatherReportTestComplex to model the complex data
// type returned in that example. We know what the structure
// of the class should be by looking at the WeatherSummary
// type definition in the WSDL file.

public class WeatherSummary {
	private String location;
	private String wind;
	private String sky;
	private String temp;
	private String humidity;
	private String pressure;
	private String visibility;
	
	public WeatherSummary () {
		// nothing to instantiate here...
	}
	
	// because this class will be treated as a Java Bean when
	// it's serialized/deserialized, we need all the get/set
	// methods
	public String getLocation() { return location; }
	public void setLocation(String location) { this.location = location; }
	public String getPressure() { return pressure; }
	public void setPressure(String pressure) { this.pressure = pressure; }
	public String getSky() { return sky; }
	public void setSky(String sky) { this.sky = sky; }
	public String getTemp() { return temp; }
	public void setTemp(String temp) { this.temp = temp; }
	public String getHumidity() { return humidity; }
	public void setHumidity(String humidity) { this.humidity = humidity; }
	public String getVisibility() { return visibility; }
	public void setVisibility(String visibility) { this.visibility = visibility; }
	public String getWind() { return wind; }
	public void setWind(String wind) { this.wind = wind; }
	
	// go ahead and add a toString method too, for convenience
	public String toString () {
		StringBuffer sb = new StringBuffer();
		sb.append("Location: " + location + "\n");
		sb.append("Pressure: " + pressure + "\n");
		sb.append("Sky: " + sky + "\n");
		sb.append("Temp: " + temp + "\n");
		sb.append("Humidity: " + humidity + "\n");
		sb.append("Visibility: " + visibility + "\n");
		sb.append("Wind: " + wind + "\n");
		return sb.toString();
	}
}

