/*
Make sure the following are on your classpath:

* Xerces or JAXP (included with Java 1.5)
* mail.jar ( http://java.sun.com/products/javamail )
* activation.jar ( http://java.sun.com/products/javabeans/glasgow/jaf.html )
* Apache SOAP ( http://ws.apache.org/soap )
* WSDL4J ( http://sourceforge.net/projects/wsdl4j )
* jurst ( http://www.nsftools.com/tools/jurst.htm )

For a WSDL dump, run:
java ZipCodeTest

To look up a zip code, run:
java ZipCodeTest 30202
*/
import com.nsftools.jurst.*;

public class ZipCodeTest {

	public static void main(String[] args) {
		try {
			String wsdlURI = "http://webservices.imacination.com/distance/Distance.jws?WSDL";
			SoapHelper sh = new SoapHelper(wsdlURI);
			
			if (args.length == 0) {
				System.out.println("WSDL URI = " + wsdlURI + "\n");
				System.out.println("METHOD LIST");
				System.out.println(sh.dumpMethodList());
			} else {
				String zip = args[0];
				String city = (String)sh.callSimpleMethod("getCity", zip);
				if (sh.isFault())
					System.out.println("A fault was returned looking up " + zip + ": " + city);
				else
					System.out.println(city + " is the city for " + zip);
			}
		} catch (Exception e) {
			e.printStackTrace();
		}
		
	}

}
